set(src "src/keyboard.c")
set(inc "inc")

if(PS1_BUILD)
    set(src ${src} "ps1/src/keyboard.c")
    set(inc ${inc} "ps1/inc")
    set(privdeps ${privdeps} PSXSDK::PSXSDK)
elseif(SDL1_2_BUILD)
    set(src ${src} "sdl-1.2/src/keyboard.c")
    set(inc ${inc} "sdl-1.2/inc")
    set(privdeps ${privdeps} SDL::SDL)
elseif(ESP32_BUILD)
    set(src ${src} "esp32/src/keyboard.c")
    set(inc ${inc} "esp32/inc")
endif()

add_library(keyboard ${src})
target_include_directories(keyboard PUBLIC ${inc})
target_link_libraries(keyboard PUBLIC ${deps} PRIVATE ${privdeps})
